import { Socket } from 'socket.io-client';
import { Entity, EntityRepository } from "./types";
import { DataAdapterBase } from "./data-adapter";
export declare class EntityRepositoryDataAdapter<T extends Entity> extends DataAdapterBase<T> {
    protected socket: Socket;
    protected repository: EntityRepository<Entity, String, any>;
    protected readonly clientId: string;
    constructor(socket: Socket, repository: EntityRepository<Entity, String, any>);
    refById(id: string): T;
    protected getEventName(id: string): string;
}
