import { Socket } from 'socket.io-client';
import { LoopbackCrudControllerService } from '../loopback/types';
import { DataAdapterBase, Entity } from "../common";
export declare class LoopbackCrudControllerDataAdapter<T extends Entity> extends DataAdapterBase<T> {
    protected socket: Socket;
    protected entityClass: typeof Entity & {
        prototype: T;
    };
    protected controller: LoopbackCrudControllerService<T>;
    protected readonly clientId: string;
    constructor(socket: Socket, entityClass: typeof Entity & {
        prototype: T;
    }, controller: LoopbackCrudControllerService<T>);
    refById(id: string): T;
    protected getEventName(id: string): string;
}
